* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: #f7f1e3;
  font-family: "Open Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings: "wdth" 100;
  font-size: 20px;
}

.serif {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

a:hover {
  opacity: 0.6;
}

hr {
  border-top: none;
  border-bottom: 1px solid #dee2e6;
}

.text-center {
  text-align: center;
}

.constrained {
  max-width: 60ch;
  margin-left: auto;
  margin-right: auto;
}

.container {
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
}

header {
  display: flex;
  justify-content: center;
  gap: 20px;
  background-color: #463f3a;

  a {
    padding: 20px;
    color: white;
    text-decoration: none;
    font-size: 20px;
  }
}

main {
  display: flex;
  flex-direction: column;
  gap: 80px;
  padding-top: 80px;

  .screenshot-container {
    max-height: 30vh;
    margin-top: 80px;
    overflow: hidden;
    border-bottom: 1px solid #dee2e6;
    text-align: center;

    .screenshot {
      border-radius: 0.5rem;
      box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175);
    }
  }

  h1 {
    font-size: 50px;
  }

  .products {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 60px;
    margin-top: 80px;
  }

  .contact {
    display: flex;
    flex-direction: column;
    gap: 16px;

    .input-group {
      display: block;

      label {
        font-size: 16px;
        color: rgba(0, 0, 0, 0.6);
      }

      input,
      textarea,
      select,
      button {
        display: block;
        background-color: white;
        padding: 8px;
        width: 100%;
        font-size: 18px;
        border-radius: 8px;
        border: 1px solid rgba(0, 0, 0, 0.2);
        outline: none;
      }

      button:hover {
        opacity: 0.6;
        cursor: pointer;
      }
    }
  }
}

footer {
  margin-top: 80px;
  padding: 100px 0;
  background-color: #463f3a;
  font-size: 16px;
  font-weight: lighter;

  &,
  a {
    color: white;
  }

  .grid {
    display: grid;
    grid-template-columns: 1.2fr 1.2fr 0.6fr;
  }
}

.terms {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
